Groovy Documentation

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class SimpleGrailsController

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.SimpleGrailsController

All Implemented Interfaces:
  Controller

    public class SimpleGrailsController

Base class for Grails controllers.

Authors:
  Steven Devijver
  Graeme Rocher

Method Summary
`ServletContext` | `getServletContext()`
`ModelAndView` | `handleRequest(HttpServletRequest request, HttpServletResponse response)` Wraps regular request and response objects into Grails request and response objects.
`void` | `setGrailsApplication(GrailsApplication application)`
`void` | `setServletContext(ServletContext servletContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getServletContext

    public ServletContext getServletContext()

### handleRequest

    public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response)

  Wraps regular request and response objects into Grails request and response objects.

  It can handle maps as model types next to ModelAndView instances.

  Parameters:
    `request` - HTTP request
    `response` - HTTP response
  Returns:
    the model

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

### setServletContext

    public void setServletContext(ServletContext servletContext)

Groovy Documentation